dmmp_path_group_array_get(3)

NAME
dmmp_path_group_array_get - Retrieve path groups pointer array.

SYNOPSIS
void dmmp_path_group_array_get (struct dmmp_mpath *dmmp_mp, struct dmmp_path_group ***dmmp_pgs, uint32_t *dmmp_pg_count);

ARGUMENTS

dmmp_mp
    Pointer of 'struct dmmp_mpath'. If this pointer is NULL, your program will be terminated by assert.

dmmp_pgs
    Output pointer of 'struct dmmp_path_group' pointer array. If this pointer is NULL, your program will be terminated by assert.

dmmp_pg_count
    Output pointer of uint32_t. Hold the size of 'dmmp_pgs' pointer array. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION
Retrieve the path groups of certain mpath. The memory of output pointer array is hold by 'struct dmmp_mpath', no need to free this memory, the resources will got freed when dmmp_mpath_array_free.

RETURN
void